# include <iostream>
#include <cmath>
using namespace std;

int main () {
    int n;
    cin >> n;
    long long s = 1;
    if(n == 0) {
        s = infinity;
    }
    long long i = 2;
    while (i < (sqrt(n))) {
        if (n % i == 0) {
            s += 1;
        }
        i++;
    }
    i = 2;
    long long j;
    while (pow(i, 2) <= n) {
        j = pow(i, 2);
        if (n % j == 0) {
            s += 1;
        }
        i++;
    }
     while (pow(i, 3) <= n) {
        j = pow(i, 3);
        if (n % j == 0) {
            s += 1;
        }
        i++;
    }
    cout << s;
    return 0;
}
